1. Outreach
Highperformr API
  • Introduction
  • Contacts
    • Unified Data API - async contact enrichment
      POST
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get verified discovery contact filter schema
      GET
    • Get verified discovery company filter schema
      GET
    • Get options for field
      GET
    • Verified discovery autocomplete suggestions
      GET
    • Get discovery search options for field
      GET
    • Verified discovery static option lists
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
    • Find verified contacts
      POST
    • Find verified companies
      POST
  • Jobs
    • Get job status by id
  • Social publishing
    • Create draft post
    • List posts (drafts, scheduled, published)
    • Schedule or publish posts (bulk)
    • Schedule a LinkedIn comment on an external post
    • Configure cross-account auto-repost
    • Upload media file (multipart)
    • Assemble chunked uploads into one file
    • Import media from a public URL
  • Integrations (social)
    • List social integrations (filter)
  • Segments
    • Type-ahead search for segments
    • Create segment
    • Get segment by ID
    • Update segment
    • Delete segment
    • Clone segment
    • Filter segments
  • Sources
    • Bulk upsert sources
    • Bulk fetch sources
    • Bulk update sources
    • Create source
    • Pull contacts from source
    • Get source by ID
    • Update source
  • Credits
    • Get workspace credit balance
    • Get credit usage analytics
  • Templates
    • Filter templates
    • Create template
    • Get template by ID
    • Update template
    • Delete template
  • Outreach
    • List connected LinkedIn sending accounts
      GET
    • List LinkedIn outreach campaigns
      GET
    • List inbox messages (incremental replies)
      GET
Login
  1. Outreach

List LinkedIn outreach campaigns

GET
/outreach/linkedin/campaigns
Lists LinkedIn outreach campaigns for the workspace. Public id is the workflow id. Join replies via campaign_id on inbox messages (same value).

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200
application/json
Campaigns
Bodyapplication/json

🟠400
🟠401
🟠429
🔴500
🔴503
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/outreach/linkedin/campaigns?accountId=&limit=&cursor=' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Success
{
    "data": [
        {
            "id": "wf1",
            "name": "Q3 outbound",
            "status": "active",
            "segment_id": "seg_123",
            "sender_ids": [
                "2"
            ]
        }
    ],
    "meta": {
        "next_cursor": null,
        "has_more": false
    }
}
Modified at 2026-09-24 07:44:15
Previous
List connected LinkedIn sending accounts
Next
List inbox messages (incremental replies)
Built with